// Function schedules a notification 10 seconds from now. Has ID with millisecond time of notification. 
function tenSecond(e) {

	var labelText = $.tenSecondLabel.text;

	//increment the number of clicks
	var clickedCount = parseInt(labelText.substr(labelText.lastIndexOf(" ")+1)) +1;

	//update label text with new click count
	$.tenSecondLabel.text = labelText.substring(0, labelText.lastIndexOf(" ")+1) + String(clickedCount);

	alertTime = new Date(new Date().getTime()+30000);
	Ti.App.iOS.scheduleLocalNotification({
		alertBody : "Click "+clickedCount + ": " + alertTime.getTime(),
		userInfo : {"id": alertTime.getTime()},
		date : alertTime 
	});
}

// Function cancels the last scheduled notification
function cancelLast(e) {
	Ti.App.iOS.cancelLocalNotification(alertTime.getTime());
}

// Functions creates 4 notifications with IDs 1 - 7, 10 seconds from now.  
function fourNotifications(){
	for(var i = 0; i < 7; i++){
		var notificationTime = new Date().getTime()+10000;
		Ti.App.iOS.scheduleLocalNotification({
			alertBody : "Notification ID: " + notificationTime,
			userInfo : {"id": notificationTime},
			date : (new Date(notificationTime)) 
		});
	}
}

$.index.open();
