function Controller() {
    function tenSecond() {
        var labelText = $.tenSecondLabel.text;
        var clickedCount = parseInt(labelText.substr(labelText.lastIndexOf(" ") + 1)) + 1;
        $.tenSecondLabel.text = labelText.substring(0, labelText.lastIndexOf(" ") + 1) + String(clickedCount);
        alertTime = new Date(new Date().getTime() + 3e4);
        Ti.App.iOS.scheduleLocalNotification({
            alertBody: "Click " + clickedCount + ": " + alertTime.getTime(),
            userInfo: {
                id: alertTime.getTime()
            },
            date: alertTime
        });
    }
    function cancelLast() {
        Ti.App.iOS.cancelLocalNotification(alertTime.getTime());
    }
    function fourNotifications() {
        for (var i = 0; 7 > i; i++) {
            var notificationTime = new Date().getTime() + 1e4;
            Ti.App.iOS.scheduleLocalNotification({
                alertBody: "Notification ID: " + notificationTime,
                userInfo: {
                    id: notificationTime
                },
                date: new Date(notificationTime)
            });
        }
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.index = Ti.UI.createWindow({
        backgroundColor: "white",
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.tenSecondLabel = Ti.UI.createLabel({
        width: "50%",
        height: 60,
        color: "#000",
        borderWidth: 1,
        left: 0,
        borderColor: "red",
        text: "10 Sec\nClicked: 0",
        id: "tenSecondLabel"
    });
    $.__views.index.add($.__views.tenSecondLabel);
    tenSecond ? $.__views.tenSecondLabel.addEventListener("click", tenSecond) : __defers["$.__views.tenSecondLabel!click!tenSecond"] = true;
    $.__views.fourNotificationsLabel = Ti.UI.createLabel({
        width: "50%",
        height: 60,
        color: "#000",
        borderWidth: 1,
        right: 0,
        borderColor: "blue",
        text: "Schedule 7 with loop",
        id: "fourNotificationsLabel"
    });
    $.__views.index.add($.__views.fourNotificationsLabel);
    fourNotifications ? $.__views.fourNotificationsLabel.addEventListener("click", fourNotifications) : __defers["$.__views.fourNotificationsLabel!click!fourNotifications"] = true;
    $.__views.cancelLabel = Ti.UI.createLabel({
        width: "50%",
        height: 60,
        color: "red",
        borderWidth: 1,
        bottom: 20,
        text: "Cancel",
        id: "cancelLabel"
    });
    $.__views.index.add($.__views.cancelLabel);
    cancelLast ? $.__views.cancelLabel.addEventListener("click", cancelLast) : __defers["$.__views.cancelLabel!click!cancelLast"] = true;
    exports.destroy = function() {};
    _.extend($, $.__views);
    $.index.open();
    __defers["$.__views.tenSecondLabel!click!tenSecond"] && $.__views.tenSecondLabel.addEventListener("click", tenSecond);
    __defers["$.__views.fourNotificationsLabel!click!fourNotifications"] && $.__views.fourNotificationsLabel.addEventListener("click", fourNotifications);
    __defers["$.__views.cancelLabel!click!cancelLast"] && $.__views.cancelLabel.addEventListener("click", cancelLast);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;